published on Friday, May 22, 2026 by Piers Karsenbarg
published on Friday, May 22, 2026 by Piers Karsenbarg
Create an image using the provided request body. Name, type and source are mandatory fields to create an image.
import * as pulumi from "@pulumi/pulumi";
import * as nutanix from "@pierskarsenbarg/nutanix";
const img_1 = new nutanix.ImagesV2("img-1", {
name: "test-image",
description: "img desc",
type: "ISO_IMAGE",
sources: [{
urlSources: [{
url: "http://archive.ubuntu.com/ubuntu/dists/bionic/main/installer-amd64/current/images/netboot/mini.iso",
}],
}],
});
const img_2 = new nutanix.ImagesV2("img-2", {
name: "test-image",
description: "img desc",
type: "DISK_IMAGE",
sources: [{
urlSources: [{
url: "http://archive.ubuntu.com/ubuntu/dists/bionic/main/installer-amd64/current/images/netboot/mini.iso",
}],
}],
clusterLocationExtIds: ["ab520e1d-4950-1db1-917f-a9e2ea35b8e3"],
});
const object_liteStore_img = new nutanix.ImagesV2("object-liteStore-img", {
name: "image-object-lite-example",
description: "Image created from object store",
type: "DISK_IMAGE",
sources: [{
objectLiteSources: [{
key: "img-lite-key-example",
}],
}],
});
import pulumi
import pulumi_nutanix as nutanix
img_1 = nutanix.ImagesV2("img-1",
name="test-image",
description="img desc",
type="ISO_IMAGE",
sources=[{
"url_sources": [{
"url": "http://archive.ubuntu.com/ubuntu/dists/bionic/main/installer-amd64/current/images/netboot/mini.iso",
}],
}])
img_2 = nutanix.ImagesV2("img-2",
name="test-image",
description="img desc",
type="DISK_IMAGE",
sources=[{
"url_sources": [{
"url": "http://archive.ubuntu.com/ubuntu/dists/bionic/main/installer-amd64/current/images/netboot/mini.iso",
}],
}],
cluster_location_ext_ids=["ab520e1d-4950-1db1-917f-a9e2ea35b8e3"])
object_lite_store_img = nutanix.ImagesV2("object-liteStore-img",
name="image-object-lite-example",
description="Image created from object store",
type="DISK_IMAGE",
sources=[{
"object_lite_sources": [{
"key": "img-lite-key-example",
}],
}])
package main
import (
"github.com/pierskarsenbarg/pulumi-nutanix/sdk/go/nutanix"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := nutanix.NewImagesV2(ctx, "img-1", &nutanix.ImagesV2Args{
Name: pulumi.String("test-image"),
Description: pulumi.String("img desc"),
Type: pulumi.String("ISO_IMAGE"),
Sources: nutanix.ImagesV2SourceArray{
&nutanix.ImagesV2SourceArgs{
UrlSources: nutanix.ImagesV2SourceUrlSourceArray{
&nutanix.ImagesV2SourceUrlSourceArgs{
Url: pulumi.String("http://archive.ubuntu.com/ubuntu/dists/bionic/main/installer-amd64/current/images/netboot/mini.iso"),
},
},
},
},
})
if err != nil {
return err
}
_, err = nutanix.NewImagesV2(ctx, "img-2", &nutanix.ImagesV2Args{
Name: pulumi.String("test-image"),
Description: pulumi.String("img desc"),
Type: pulumi.String("DISK_IMAGE"),
Sources: nutanix.ImagesV2SourceArray{
&nutanix.ImagesV2SourceArgs{
UrlSources: nutanix.ImagesV2SourceUrlSourceArray{
&nutanix.ImagesV2SourceUrlSourceArgs{
Url: pulumi.String("http://archive.ubuntu.com/ubuntu/dists/bionic/main/installer-amd64/current/images/netboot/mini.iso"),
},
},
},
},
ClusterLocationExtIds: pulumi.StringArray{
pulumi.String("ab520e1d-4950-1db1-917f-a9e2ea35b8e3"),
},
})
if err != nil {
return err
}
_, err = nutanix.NewImagesV2(ctx, "object-liteStore-img", &nutanix.ImagesV2Args{
Name: pulumi.String("image-object-lite-example"),
Description: pulumi.String("Image created from object store"),
Type: pulumi.String("DISK_IMAGE"),
Sources: nutanix.ImagesV2SourceArray{
&nutanix.ImagesV2SourceArgs{
ObjectLiteSources: nutanix.ImagesV2SourceObjectLiteSourceArray{
&nutanix.ImagesV2SourceObjectLiteSourceArgs{
Key: pulumi.String("img-lite-key-example"),
},
},
},
},
})
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Nutanix = PiersKarsenbarg.Nutanix;
return await Deployment.RunAsync(() =>
{
var img_1 = new Nutanix.ImagesV2("img-1", new()
{
Name = "test-image",
Description = "img desc",
Type = "ISO_IMAGE",
Sources = new[]
{
new Nutanix.Inputs.ImagesV2SourceArgs
{
UrlSources = new[]
{
new Nutanix.Inputs.ImagesV2SourceUrlSourceArgs
{
Url = "http://archive.ubuntu.com/ubuntu/dists/bionic/main/installer-amd64/current/images/netboot/mini.iso",
},
},
},
},
});
var img_2 = new Nutanix.ImagesV2("img-2", new()
{
Name = "test-image",
Description = "img desc",
Type = "DISK_IMAGE",
Sources = new[]
{
new Nutanix.Inputs.ImagesV2SourceArgs
{
UrlSources = new[]
{
new Nutanix.Inputs.ImagesV2SourceUrlSourceArgs
{
Url = "http://archive.ubuntu.com/ubuntu/dists/bionic/main/installer-amd64/current/images/netboot/mini.iso",
},
},
},
},
ClusterLocationExtIds = new[]
{
"ab520e1d-4950-1db1-917f-a9e2ea35b8e3",
},
});
var object_liteStore_img = new Nutanix.ImagesV2("object-liteStore-img", new()
{
Name = "image-object-lite-example",
Description = "Image created from object store",
Type = "DISK_IMAGE",
Sources = new[]
{
new Nutanix.Inputs.ImagesV2SourceArgs
{
ObjectLiteSources = new[]
{
new Nutanix.Inputs.ImagesV2SourceObjectLiteSourceArgs
{
Key = "img-lite-key-example",
},
},
},
},
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.nutanix.ImagesV2;
import com.pulumi.nutanix.ImagesV2Args;
import com.pulumi.nutanix.inputs.ImagesV2SourceArgs;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
var img_1 = new ImagesV2("img-1", ImagesV2Args.builder()
.name("test-image")
.description("img desc")
.type("ISO_IMAGE")
.sources(ImagesV2SourceArgs.builder()
.urlSources(ImagesV2SourceUrlSourceArgs.builder()
.url("http://archive.ubuntu.com/ubuntu/dists/bionic/main/installer-amd64/current/images/netboot/mini.iso")
.build())
.build())
.build());
var img_2 = new ImagesV2("img-2", ImagesV2Args.builder()
.name("test-image")
.description("img desc")
.type("DISK_IMAGE")
.sources(ImagesV2SourceArgs.builder()
.urlSources(ImagesV2SourceUrlSourceArgs.builder()
.url("http://archive.ubuntu.com/ubuntu/dists/bionic/main/installer-amd64/current/images/netboot/mini.iso")
.build())
.build())
.clusterLocationExtIds("ab520e1d-4950-1db1-917f-a9e2ea35b8e3")
.build());
var object_liteStore_img = new ImagesV2("object-liteStore-img", ImagesV2Args.builder()
.name("image-object-lite-example")
.description("Image created from object store")
.type("DISK_IMAGE")
.sources(ImagesV2SourceArgs.builder()
.objectLiteSources(ImagesV2SourceObjectLiteSourceArgs.builder()
.key("img-lite-key-example")
.build())
.build())
.build());
}
}
resources:
img-1:
type: nutanix:ImagesV2
properties:
name: test-image
description: img desc
type: ISO_IMAGE
sources:
- urlSources:
- url: http://archive.ubuntu.com/ubuntu/dists/bionic/main/installer-amd64/current/images/netboot/mini.iso
img-2:
type: nutanix:ImagesV2
properties:
name: test-image
description: img desc
type: DISK_IMAGE
sources:
- urlSources:
- url: http://archive.ubuntu.com/ubuntu/dists/bionic/main/installer-amd64/current/images/netboot/mini.iso
clusterLocationExtIds:
- ab520e1d-4950-1db1-917f-a9e2ea35b8e3
object-liteStore-img:
type: nutanix:ImagesV2
properties:
name: image-object-lite-example
description: Image created from object store
type: DISK_IMAGE
sources:
- objectLiteSources:
- key: img-lite-key-example
Example coming soon!
Create ImagesV2 Resource
Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.
Constructor syntax
new ImagesV2(name: string, args: ImagesV2Args, opts?: CustomResourceOptions);@overload
def ImagesV2(resource_name: str,
args: ImagesV2Args,
opts: Optional[ResourceOptions] = None)
@overload
def ImagesV2(resource_name: str,
opts: Optional[ResourceOptions] = None,
type: Optional[str] = None,
category_ext_ids: Optional[Sequence[str]] = None,
checksums: Optional[Sequence[ImagesV2ChecksumArgs]] = None,
cluster_location_ext_ids: Optional[Sequence[str]] = None,
description: Optional[str] = None,
name: Optional[str] = None,
sources: Optional[Sequence[ImagesV2SourceArgs]] = None)func NewImagesV2(ctx *Context, name string, args ImagesV2Args, opts ...ResourceOption) (*ImagesV2, error)public ImagesV2(string name, ImagesV2Args args, CustomResourceOptions? opts = null)
public ImagesV2(String name, ImagesV2Args args)
public ImagesV2(String name, ImagesV2Args args, CustomResourceOptions options)
type: nutanix:ImagesV2
properties: # The arguments to resource properties.
options: # Bag of options to control resource's behavior.
resource "nutanix_imagesv2" "name" {
# resource properties
}Parameters
- name string
- The unique name of the resource.
- args ImagesV2Args
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- resource_name str
- The unique name of the resource.
- args ImagesV2Args
- The arguments to resource properties.
- opts ResourceOptions
- Bag of options to control resource's behavior.
- ctx Context
- Context object for the current deployment.
- name string
- The unique name of the resource.
- args ImagesV2Args
- The arguments to resource properties.
- opts ResourceOption
- Bag of options to control resource's behavior.
- name string
- The unique name of the resource.
- args ImagesV2Args
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- name String
- The unique name of the resource.
- args ImagesV2Args
- The arguments to resource properties.
- options CustomResourceOptions
- Bag of options to control resource's behavior.
Constructor example
The following reference example uses placeholder values for all input properties.
var imagesV2Resource = new Nutanix.ImagesV2("imagesV2Resource", new()
{
Type = "string",
CategoryExtIds = new[]
{
"string",
},
Checksums = new[]
{
new Nutanix.Inputs.ImagesV2ChecksumArgs
{
HexDigest = "string",
ObjectType = "string",
},
},
ClusterLocationExtIds = new[]
{
"string",
},
Description = "string",
Name = "string",
Sources = new[]
{
new Nutanix.Inputs.ImagesV2SourceArgs
{
ObjectLiteSources = new[]
{
new Nutanix.Inputs.ImagesV2SourceObjectLiteSourceArgs
{
Key = "string",
},
},
UrlSources = new[]
{
new Nutanix.Inputs.ImagesV2SourceUrlSourceArgs
{
Url = "string",
BasicAuths = new[]
{
new Nutanix.Inputs.ImagesV2SourceUrlSourceBasicAuthArgs
{
Password = "string",
Username = "string",
},
},
ShouldAllowInsecureUrl = false,
},
},
VmDiskSources = new[]
{
new Nutanix.Inputs.ImagesV2SourceVmDiskSourceArgs
{
ExtId = "string",
},
},
},
},
});
example, err := nutanix.NewImagesV2(ctx, "imagesV2Resource", &nutanix.ImagesV2Args{
Type: pulumi.String("string"),
CategoryExtIds: pulumi.StringArray{
pulumi.String("string"),
},
Checksums: nutanix.ImagesV2ChecksumArray{
&nutanix.ImagesV2ChecksumArgs{
HexDigest: pulumi.String("string"),
ObjectType: pulumi.String("string"),
},
},
ClusterLocationExtIds: pulumi.StringArray{
pulumi.String("string"),
},
Description: pulumi.String("string"),
Name: pulumi.String("string"),
Sources: nutanix.ImagesV2SourceArray{
&nutanix.ImagesV2SourceArgs{
ObjectLiteSources: nutanix.ImagesV2SourceObjectLiteSourceArray{
&nutanix.ImagesV2SourceObjectLiteSourceArgs{
Key: pulumi.String("string"),
},
},
UrlSources: nutanix.ImagesV2SourceUrlSourceArray{
&nutanix.ImagesV2SourceUrlSourceArgs{
Url: pulumi.String("string"),
BasicAuths: nutanix.ImagesV2SourceUrlSourceBasicAuthArray{
&nutanix.ImagesV2SourceUrlSourceBasicAuthArgs{
Password: pulumi.String("string"),
Username: pulumi.String("string"),
},
},
ShouldAllowInsecureUrl: pulumi.Bool(false),
},
},
VmDiskSources: nutanix.ImagesV2SourceVmDiskSourceArray{
&nutanix.ImagesV2SourceVmDiskSourceArgs{
ExtId: pulumi.String("string"),
},
},
},
},
})
resource "nutanix_imagesv2" "imagesV2Resource" {
type = "string"
category_ext_ids = ["string"]
checksums {
hex_digest = "string"
object_type = "string"
}
cluster_location_ext_ids = ["string"]
description = "string"
name = "string"
sources {
object_lite_sources {
key = "string"
}
url_sources {
url = "string"
basic_auths {
password = "string"
username = "string"
}
should_allow_insecure_url = false
}
vm_disk_sources {
ext_id = "string"
}
}
}
var imagesV2Resource = new ImagesV2("imagesV2Resource", ImagesV2Args.builder()
.type("string")
.categoryExtIds("string")
.checksums(ImagesV2ChecksumArgs.builder()
.hexDigest("string")
.objectType("string")
.build())
.clusterLocationExtIds("string")
.description("string")
.name("string")
.sources(ImagesV2SourceArgs.builder()
.objectLiteSources(ImagesV2SourceObjectLiteSourceArgs.builder()
.key("string")
.build())
.urlSources(ImagesV2SourceUrlSourceArgs.builder()
.url("string")
.basicAuths(ImagesV2SourceUrlSourceBasicAuthArgs.builder()
.password("string")
.username("string")
.build())
.shouldAllowInsecureUrl(false)
.build())
.vmDiskSources(ImagesV2SourceVmDiskSourceArgs.builder()
.extId("string")
.build())
.build())
.build());
images_v2_resource = nutanix.ImagesV2("imagesV2Resource",
type="string",
category_ext_ids=["string"],
checksums=[{
"hex_digest": "string",
"object_type": "string",
}],
cluster_location_ext_ids=["string"],
description="string",
name="string",
sources=[{
"object_lite_sources": [{
"key": "string",
}],
"url_sources": [{
"url": "string",
"basic_auths": [{
"password": "string",
"username": "string",
}],
"should_allow_insecure_url": False,
}],
"vm_disk_sources": [{
"ext_id": "string",
}],
}])
const imagesV2Resource = new nutanix.ImagesV2("imagesV2Resource", {
type: "string",
categoryExtIds: ["string"],
checksums: [{
hexDigest: "string",
objectType: "string",
}],
clusterLocationExtIds: ["string"],
description: "string",
name: "string",
sources: [{
objectLiteSources: [{
key: "string",
}],
urlSources: [{
url: "string",
basicAuths: [{
password: "string",
username: "string",
}],
shouldAllowInsecureUrl: false,
}],
vmDiskSources: [{
extId: "string",
}],
}],
});
type: nutanix:ImagesV2
properties:
categoryExtIds:
- string
checksums:
- hexDigest: string
objectType: string
clusterLocationExtIds:
- string
description: string
name: string
sources:
- objectLiteSources:
- key: string
urlSources:
- basicAuths:
- password: string
username: string
shouldAllowInsecureUrl: false
url: string
vmDiskSources:
- extId: string
type: string
ImagesV2 Resource Properties
To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.
Inputs
In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.
The ImagesV2 resource accepts the following input properties:
- Type string
- The type of an image. Valid values "DISK_IMAGE", "ISO_IMAGE"
- Category
Ext List<string>Ids - List of category external identifiers for an image.
- Checksums
List<Piers
Karsenbarg. Nutanix. Inputs. Images V2Checksum> - The checksum of an image.
- Cluster
Location List<string>Ext Ids - List of cluster external identifiers where the image is located.
- Description string
- The user defined description of an image.
- Name string
- The user defined name of an image.
- Sources
List<Piers
Karsenbarg. Nutanix. Inputs. Images V2Source> - The source of an image. It can be a VM disk or a URL.
- Type string
- The type of an image. Valid values "DISK_IMAGE", "ISO_IMAGE"
- Category
Ext []stringIds - List of category external identifiers for an image.
- Checksums
[]Images
V2Checksum Args - The checksum of an image.
- Cluster
Location []stringExt Ids - List of cluster external identifiers where the image is located.
- Description string
- The user defined description of an image.
- Name string
- The user defined name of an image.
- Sources
[]Images
V2Source Args - The source of an image. It can be a VM disk or a URL.
- type string
- The type of an image. Valid values "DISK_IMAGE", "ISO_IMAGE"
- category_
ext_ list(string)ids - List of category external identifiers for an image.
- checksums list(object)
- The checksum of an image.
- cluster_
location_ list(string)ext_ ids - List of cluster external identifiers where the image is located.
- description string
- The user defined description of an image.
- name string
- The user defined name of an image.
- sources list(object)
- The source of an image. It can be a VM disk or a URL.
- type String
- The type of an image. Valid values "DISK_IMAGE", "ISO_IMAGE"
- category
Ext List<String>Ids - List of category external identifiers for an image.
- checksums
List<Images
V2Checksum> - The checksum of an image.
- cluster
Location List<String>Ext Ids - List of cluster external identifiers where the image is located.
- description String
- The user defined description of an image.
- name String
- The user defined name of an image.
- sources
List<Images
V2Source> - The source of an image. It can be a VM disk or a URL.
- type string
- The type of an image. Valid values "DISK_IMAGE", "ISO_IMAGE"
- category
Ext string[]Ids - List of category external identifiers for an image.
- checksums
Images
V2Checksum[] - The checksum of an image.
- cluster
Location string[]Ext Ids - List of cluster external identifiers where the image is located.
- description string
- The user defined description of an image.
- name string
- The user defined name of an image.
- sources
Images
V2Source[] - The source of an image. It can be a VM disk or a URL.
- type str
- The type of an image. Valid values "DISK_IMAGE", "ISO_IMAGE"
- category_
ext_ Sequence[str]ids - List of category external identifiers for an image.
- checksums
Sequence[Images
V2Checksum Args] - The checksum of an image.
- cluster_
location_ Sequence[str]ext_ ids - List of cluster external identifiers where the image is located.
- description str
- The user defined description of an image.
- name str
- The user defined name of an image.
- sources
Sequence[Images
V2Source Args] - The source of an image. It can be a VM disk or a URL.
- type String
- The type of an image. Valid values "DISK_IMAGE", "ISO_IMAGE"
- category
Ext List<String>Ids - List of category external identifiers for an image.
- checksums List<Property Map>
- The checksum of an image.
- cluster
Location List<String>Ext Ids - List of cluster external identifiers where the image is located.
- description String
- The user defined description of an image.
- name String
- The user defined name of an image.
- sources List<Property Map>
- The source of an image. It can be a VM disk or a URL.
Outputs
All input properties are implicitly available as output properties. Additionally, the ImagesV2 resource produces the following output properties:
- Create
Time string - Create time of an image.
- Ext
Id string - Id string
- The provider-assigned unique ID for this managed resource.
- Last
Update stringTime - Last update time of an image.
- Links
List<Piers
Karsenbarg. Nutanix. Outputs. Images V2Link> - Owner
Ext stringId - External identifier of the owner of the image
- Placement
Policy List<PiersStatuses Karsenbarg. Nutanix. Outputs. Images V2Placement Policy Status> - Status of an image placement policy.
- Size
Bytes int - The size in bytes of an image file.
- Tenant
Id string
- Create
Time string - Create time of an image.
- Ext
Id string - Id string
- The provider-assigned unique ID for this managed resource.
- Last
Update stringTime - Last update time of an image.
- Links
[]Images
V2Link - Owner
Ext stringId - External identifier of the owner of the image
- Placement
Policy []ImagesStatuses V2Placement Policy Status - Status of an image placement policy.
- Size
Bytes int - The size in bytes of an image file.
- Tenant
Id string
- create_
time string - Create time of an image.
- ext_
id string - id string
- The provider-assigned unique ID for this managed resource.
- last_
update_ stringtime - Last update time of an image.
- links list(object)
- owner_
ext_ stringid - External identifier of the owner of the image
- placement_
policy_ list(object)statuses - Status of an image placement policy.
- size_
bytes number - The size in bytes of an image file.
- tenant_
id string
- create
Time String - Create time of an image.
- ext
Id String - id String
- The provider-assigned unique ID for this managed resource.
- last
Update StringTime - Last update time of an image.
- links
List<Images
V2Link> - owner
Ext StringId - External identifier of the owner of the image
- placement
Policy List<ImagesStatuses V2Placement Policy Status> - Status of an image placement policy.
- size
Bytes Integer - The size in bytes of an image file.
- tenant
Id String
- create
Time string - Create time of an image.
- ext
Id string - id string
- The provider-assigned unique ID for this managed resource.
- last
Update stringTime - Last update time of an image.
- links
Images
V2Link[] - owner
Ext stringId - External identifier of the owner of the image
- placement
Policy ImagesStatuses V2Placement Policy Status[] - Status of an image placement policy.
- size
Bytes number - The size in bytes of an image file.
- tenant
Id string
- create_
time str - Create time of an image.
- ext_
id str - id str
- The provider-assigned unique ID for this managed resource.
- last_
update_ strtime - Last update time of an image.
- links
Sequence[Images
V2Link] - owner_
ext_ strid - External identifier of the owner of the image
- placement_
policy_ Sequence[Imagesstatuses V2Placement Policy Status] - Status of an image placement policy.
- size_
bytes int - The size in bytes of an image file.
- tenant_
id str
- create
Time String - Create time of an image.
- ext
Id String - id String
- The provider-assigned unique ID for this managed resource.
- last
Update StringTime - Last update time of an image.
- links List<Property Map>
- owner
Ext StringId - External identifier of the owner of the image
- placement
Policy List<Property Map>Statuses - Status of an image placement policy.
- size
Bytes Number - The size in bytes of an image file.
- tenant
Id String
Look up Existing ImagesV2 Resource
Get an existing ImagesV2 resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.
public static get(name: string, id: Input<ID>, state?: ImagesV2State, opts?: CustomResourceOptions): ImagesV2@staticmethod
def get(resource_name: str,
id: str,
opts: Optional[ResourceOptions] = None,
category_ext_ids: Optional[Sequence[str]] = None,
checksums: Optional[Sequence[ImagesV2ChecksumArgs]] = None,
cluster_location_ext_ids: Optional[Sequence[str]] = None,
create_time: Optional[str] = None,
description: Optional[str] = None,
ext_id: Optional[str] = None,
last_update_time: Optional[str] = None,
links: Optional[Sequence[ImagesV2LinkArgs]] = None,
name: Optional[str] = None,
owner_ext_id: Optional[str] = None,
placement_policy_statuses: Optional[Sequence[ImagesV2PlacementPolicyStatusArgs]] = None,
size_bytes: Optional[int] = None,
sources: Optional[Sequence[ImagesV2SourceArgs]] = None,
tenant_id: Optional[str] = None,
type: Optional[str] = None) -> ImagesV2func GetImagesV2(ctx *Context, name string, id IDInput, state *ImagesV2State, opts ...ResourceOption) (*ImagesV2, error)public static ImagesV2 Get(string name, Input<string> id, ImagesV2State? state, CustomResourceOptions? opts = null)public static ImagesV2 get(String name, Output<String> id, ImagesV2State state, CustomResourceOptions options)resources: _: type: nutanix:ImagesV2 get: id: ${id}import {
to = nutanix_imagesv2.example
id = "${id}"
}
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- resource_name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- Category
Ext List<string>Ids - List of category external identifiers for an image.
- Checksums
List<Piers
Karsenbarg. Nutanix. Inputs. Images V2Checksum> - The checksum of an image.
- Cluster
Location List<string>Ext Ids - List of cluster external identifiers where the image is located.
- Create
Time string - Create time of an image.
- Description string
- The user defined description of an image.
- Ext
Id string - Last
Update stringTime - Last update time of an image.
- Links
List<Piers
Karsenbarg. Nutanix. Inputs. Images V2Link> - Name string
- The user defined name of an image.
- Owner
Ext stringId - External identifier of the owner of the image
- Placement
Policy List<PiersStatuses Karsenbarg. Nutanix. Inputs. Images V2Placement Policy Status> - Status of an image placement policy.
- Size
Bytes int - The size in bytes of an image file.
- Sources
List<Piers
Karsenbarg. Nutanix. Inputs. Images V2Source> - The source of an image. It can be a VM disk or a URL.
- Tenant
Id string - Type string
- The type of an image. Valid values "DISK_IMAGE", "ISO_IMAGE"
- Category
Ext []stringIds - List of category external identifiers for an image.
- Checksums
[]Images
V2Checksum Args - The checksum of an image.
- Cluster
Location []stringExt Ids - List of cluster external identifiers where the image is located.
- Create
Time string - Create time of an image.
- Description string
- The user defined description of an image.
- Ext
Id string - Last
Update stringTime - Last update time of an image.
- Links
[]Images
V2Link Args - Name string
- The user defined name of an image.
- Owner
Ext stringId - External identifier of the owner of the image
- Placement
Policy []ImagesStatuses V2Placement Policy Status Args - Status of an image placement policy.
- Size
Bytes int - The size in bytes of an image file.
- Sources
[]Images
V2Source Args - The source of an image. It can be a VM disk or a URL.
- Tenant
Id string - Type string
- The type of an image. Valid values "DISK_IMAGE", "ISO_IMAGE"
- category_
ext_ list(string)ids - List of category external identifiers for an image.
- checksums list(object)
- The checksum of an image.
- cluster_
location_ list(string)ext_ ids - List of cluster external identifiers where the image is located.
- create_
time string - Create time of an image.
- description string
- The user defined description of an image.
- ext_
id string - last_
update_ stringtime - Last update time of an image.
- links list(object)
- name string
- The user defined name of an image.
- owner_
ext_ stringid - External identifier of the owner of the image
- placement_
policy_ list(object)statuses - Status of an image placement policy.
- size_
bytes number - The size in bytes of an image file.
- sources list(object)
- The source of an image. It can be a VM disk or a URL.
- tenant_
id string - type string
- The type of an image. Valid values "DISK_IMAGE", "ISO_IMAGE"
- category
Ext List<String>Ids - List of category external identifiers for an image.
- checksums
List<Images
V2Checksum> - The checksum of an image.
- cluster
Location List<String>Ext Ids - List of cluster external identifiers where the image is located.
- create
Time String - Create time of an image.
- description String
- The user defined description of an image.
- ext
Id String - last
Update StringTime - Last update time of an image.
- links
List<Images
V2Link> - name String
- The user defined name of an image.
- owner
Ext StringId - External identifier of the owner of the image
- placement
Policy List<ImagesStatuses V2Placement Policy Status> - Status of an image placement policy.
- size
Bytes Integer - The size in bytes of an image file.
- sources
List<Images
V2Source> - The source of an image. It can be a VM disk or a URL.
- tenant
Id String - type String
- The type of an image. Valid values "DISK_IMAGE", "ISO_IMAGE"
- category
Ext string[]Ids - List of category external identifiers for an image.
- checksums
Images
V2Checksum[] - The checksum of an image.
- cluster
Location string[]Ext Ids - List of cluster external identifiers where the image is located.
- create
Time string - Create time of an image.
- description string
- The user defined description of an image.
- ext
Id string - last
Update stringTime - Last update time of an image.
- links
Images
V2Link[] - name string
- The user defined name of an image.
- owner
Ext stringId - External identifier of the owner of the image
- placement
Policy ImagesStatuses V2Placement Policy Status[] - Status of an image placement policy.
- size
Bytes number - The size in bytes of an image file.
- sources
Images
V2Source[] - The source of an image. It can be a VM disk or a URL.
- tenant
Id string - type string
- The type of an image. Valid values "DISK_IMAGE", "ISO_IMAGE"
- category_
ext_ Sequence[str]ids - List of category external identifiers for an image.
- checksums
Sequence[Images
V2Checksum Args] - The checksum of an image.
- cluster_
location_ Sequence[str]ext_ ids - List of cluster external identifiers where the image is located.
- create_
time str - Create time of an image.
- description str
- The user defined description of an image.
- ext_
id str - last_
update_ strtime - Last update time of an image.
- links
Sequence[Images
V2Link Args] - name str
- The user defined name of an image.
- owner_
ext_ strid - External identifier of the owner of the image
- placement_
policy_ Sequence[Imagesstatuses V2Placement Policy Status Args] - Status of an image placement policy.
- size_
bytes int - The size in bytes of an image file.
- sources
Sequence[Images
V2Source Args] - The source of an image. It can be a VM disk or a URL.
- tenant_
id str - type str
- The type of an image. Valid values "DISK_IMAGE", "ISO_IMAGE"
- category
Ext List<String>Ids - List of category external identifiers for an image.
- checksums List<Property Map>
- The checksum of an image.
- cluster
Location List<String>Ext Ids - List of cluster external identifiers where the image is located.
- create
Time String - Create time of an image.
- description String
- The user defined description of an image.
- ext
Id String - last
Update StringTime - Last update time of an image.
- links List<Property Map>
- name String
- The user defined name of an image.
- owner
Ext StringId - External identifier of the owner of the image
- placement
Policy List<Property Map>Statuses - Status of an image placement policy.
- size
Bytes Number - The size in bytes of an image file.
- sources List<Property Map>
- The source of an image. It can be a VM disk or a URL.
- tenant
Id String - type String
- The type of an image. Valid values "DISK_IMAGE", "ISO_IMAGE"
Supporting Types
ImagesV2Checksum, ImagesV2ChecksumArgs
- Hex
Digest string - The SHA1/SHA256 digest of an image file in hexadecimal format.
- Object
Type string - sha1 or sha256 type of image
- Hex
Digest string - The SHA1/SHA256 digest of an image file in hexadecimal format.
- Object
Type string - sha1 or sha256 type of image
- hex_
digest string - The SHA1/SHA256 digest of an image file in hexadecimal format.
- object_
type string - sha1 or sha256 type of image
- hex
Digest String - The SHA1/SHA256 digest of an image file in hexadecimal format.
- object
Type String - sha1 or sha256 type of image
- hex
Digest string - The SHA1/SHA256 digest of an image file in hexadecimal format.
- object
Type string - sha1 or sha256 type of image
- hex_
digest str - The SHA1/SHA256 digest of an image file in hexadecimal format.
- object_
type str - sha1 or sha256 type of image
- hex
Digest String - The SHA1/SHA256 digest of an image file in hexadecimal format.
- object
Type String - sha1 or sha256 type of image
ImagesV2Link, ImagesV2LinkArgs
ImagesV2PlacementPolicyStatus, ImagesV2PlacementPolicyStatusArgs
- Compliance
Status string - Compliance status for a placement policy.
- Conflicting
Policy List<string>Ext Ids - List of image placement policy external identifier that conflict with the current one.
- Enforced
Cluster List<string>Ext Ids - List of cluster external identifiers for the enforced placement policy.
- Enforcement
Mode string - Indicates whether the placement policy enforcement is ongoing or has failed.
- Placement
Policy stringExt Id - Image placement policy external identifier.
- Policy
Cluster List<string>Ext Ids - List of cluster external identifiers of the image location for the enforced placement policy.
- Compliance
Status string - Compliance status for a placement policy.
- Conflicting
Policy []stringExt Ids - List of image placement policy external identifier that conflict with the current one.
- Enforced
Cluster []stringExt Ids - List of cluster external identifiers for the enforced placement policy.
- Enforcement
Mode string - Indicates whether the placement policy enforcement is ongoing or has failed.
- Placement
Policy stringExt Id - Image placement policy external identifier.
- Policy
Cluster []stringExt Ids - List of cluster external identifiers of the image location for the enforced placement policy.
- compliance_
status string - Compliance status for a placement policy.
- conflicting_
policy_ list(string)ext_ ids - List of image placement policy external identifier that conflict with the current one.
- enforced_
cluster_ list(string)ext_ ids - List of cluster external identifiers for the enforced placement policy.
- enforcement_
mode string - Indicates whether the placement policy enforcement is ongoing or has failed.
- placement_
policy_ stringext_ id - Image placement policy external identifier.
- policy_
cluster_ list(string)ext_ ids - List of cluster external identifiers of the image location for the enforced placement policy.
- compliance
Status String - Compliance status for a placement policy.
- conflicting
Policy List<String>Ext Ids - List of image placement policy external identifier that conflict with the current one.
- enforced
Cluster List<String>Ext Ids - List of cluster external identifiers for the enforced placement policy.
- enforcement
Mode String - Indicates whether the placement policy enforcement is ongoing or has failed.
- placement
Policy StringExt Id - Image placement policy external identifier.
- policy
Cluster List<String>Ext Ids - List of cluster external identifiers of the image location for the enforced placement policy.
- compliance
Status string - Compliance status for a placement policy.
- conflicting
Policy string[]Ext Ids - List of image placement policy external identifier that conflict with the current one.
- enforced
Cluster string[]Ext Ids - List of cluster external identifiers for the enforced placement policy.
- enforcement
Mode string - Indicates whether the placement policy enforcement is ongoing or has failed.
- placement
Policy stringExt Id - Image placement policy external identifier.
- policy
Cluster string[]Ext Ids - List of cluster external identifiers of the image location for the enforced placement policy.
- compliance_
status str - Compliance status for a placement policy.
- conflicting_
policy_ Sequence[str]ext_ ids - List of image placement policy external identifier that conflict with the current one.
- enforced_
cluster_ Sequence[str]ext_ ids - List of cluster external identifiers for the enforced placement policy.
- enforcement_
mode str - Indicates whether the placement policy enforcement is ongoing or has failed.
- placement_
policy_ strext_ id - Image placement policy external identifier.
- policy_
cluster_ Sequence[str]ext_ ids - List of cluster external identifiers of the image location for the enforced placement policy.
- compliance
Status String - Compliance status for a placement policy.
- conflicting
Policy List<String>Ext Ids - List of image placement policy external identifier that conflict with the current one.
- enforced
Cluster List<String>Ext Ids - List of cluster external identifiers for the enforced placement policy.
- enforcement
Mode String - Indicates whether the placement policy enforcement is ongoing or has failed.
- placement
Policy StringExt Id - Image placement policy external identifier.
- policy
Cluster List<String>Ext Ids - List of cluster external identifiers of the image location for the enforced placement policy.
ImagesV2Source, ImagesV2SourceArgs
- Object
Lite List<PiersSources Karsenbarg. Nutanix. Inputs. Images V2Source Object Lite Source> - The URL for creating an image.
- Url
Sources List<PiersKarsenbarg. Nutanix. Inputs. Images V2Source Url Source> - The URL for creating an image.
- Vm
Disk List<PiersSources Karsenbarg. Nutanix. Inputs. Images V2Source Vm Disk Source> - The URL for creating an image.
- Object
Lite []ImagesSources V2Source Object Lite Source - The URL for creating an image.
- Url
Sources []ImagesV2Source Url Source - The URL for creating an image.
- Vm
Disk []ImagesSources V2Source Vm Disk Source - The URL for creating an image.
- object_
lite_ list(object)sources - The URL for creating an image.
- url_
sources list(object) - The URL for creating an image.
- vm_
disk_ list(object)sources - The URL for creating an image.
- object
Lite List<ImagesSources V2Source Object Lite Source> - The URL for creating an image.
- url
Sources List<ImagesV2Source Url Source> - The URL for creating an image.
- vm
Disk List<ImagesSources V2Source Vm Disk Source> - The URL for creating an image.
- object
Lite ImagesSources V2Source Object Lite Source[] - The URL for creating an image.
- url
Sources ImagesV2Source Url Source[] - The URL for creating an image.
- vm
Disk ImagesSources V2Source Vm Disk Source[] - The URL for creating an image.
- object_
lite_ Sequence[Imagessources V2Source Object Lite Source] - The URL for creating an image.
- url_
sources Sequence[ImagesV2Source Url Source] - The URL for creating an image.
- vm_
disk_ Sequence[Imagessources V2Source Vm Disk Source] - The URL for creating an image.
- object
Lite List<Property Map>Sources - The URL for creating an image.
- url
Sources List<Property Map> - The URL for creating an image.
- vm
Disk List<Property Map>Sources - The URL for creating an image.
ImagesV2SourceObjectLiteSource, ImagesV2SourceObjectLiteSourceArgs
- Key string
- Key that identifies the source object in the bucket. The resource implies the bucket, 'vmm-images' for Image and 'vmm-ovas' for OVA.
- Key string
- Key that identifies the source object in the bucket. The resource implies the bucket, 'vmm-images' for Image and 'vmm-ovas' for OVA.
- key string
- Key that identifies the source object in the bucket. The resource implies the bucket, 'vmm-images' for Image and 'vmm-ovas' for OVA.
- key String
- Key that identifies the source object in the bucket. The resource implies the bucket, 'vmm-images' for Image and 'vmm-ovas' for OVA.
- key string
- Key that identifies the source object in the bucket. The resource implies the bucket, 'vmm-images' for Image and 'vmm-ovas' for OVA.
- key str
- Key that identifies the source object in the bucket. The resource implies the bucket, 'vmm-images' for Image and 'vmm-ovas' for OVA.
- key String
- Key that identifies the source object in the bucket. The resource implies the bucket, 'vmm-images' for Image and 'vmm-ovas' for OVA.
ImagesV2SourceUrlSource, ImagesV2SourceUrlSourceArgs
- Url string
- The URL for creating an image.
- Basic
Auths List<PiersKarsenbarg. Nutanix. Inputs. Images V2Source Url Source Basic Auth> - Basic authentication credentials for image source HTTP/S URL
basic_auth.username: (Required) Username for basic authenticationbasic_auth.password: (Required) Password for basic authentication.
- Should
Allow boolInsecure Url - Ignore the certificate errors, if the value is true. Default is false.
- Url string
- The URL for creating an image.
- Basic
Auths []ImagesV2Source Url Source Basic Auth - Basic authentication credentials for image source HTTP/S URL
basic_auth.username: (Required) Username for basic authenticationbasic_auth.password: (Required) Password for basic authentication.
- Should
Allow boolInsecure Url - Ignore the certificate errors, if the value is true. Default is false.
- url string
- The URL for creating an image.
- basic_
auths list(object) - Basic authentication credentials for image source HTTP/S URL
basic_auth.username: (Required) Username for basic authenticationbasic_auth.password: (Required) Password for basic authentication.
- should_
allow_ boolinsecure_ url - Ignore the certificate errors, if the value is true. Default is false.
- url String
- The URL for creating an image.
- basic
Auths List<ImagesV2Source Url Source Basic Auth> - Basic authentication credentials for image source HTTP/S URL
basic_auth.username: (Required) Username for basic authenticationbasic_auth.password: (Required) Password for basic authentication.
- should
Allow BooleanInsecure Url - Ignore the certificate errors, if the value is true. Default is false.
- url string
- The URL for creating an image.
- basic
Auths ImagesV2Source Url Source Basic Auth[] - Basic authentication credentials for image source HTTP/S URL
basic_auth.username: (Required) Username for basic authenticationbasic_auth.password: (Required) Password for basic authentication.
- should
Allow booleanInsecure Url - Ignore the certificate errors, if the value is true. Default is false.
- url str
- The URL for creating an image.
- basic_
auths Sequence[ImagesV2Source Url Source Basic Auth] - Basic authentication credentials for image source HTTP/S URL
basic_auth.username: (Required) Username for basic authenticationbasic_auth.password: (Required) Password for basic authentication.
- should_
allow_ boolinsecure_ url - Ignore the certificate errors, if the value is true. Default is false.
- url String
- The URL for creating an image.
- basic
Auths List<Property Map> - Basic authentication credentials for image source HTTP/S URL
basic_auth.username: (Required) Username for basic authenticationbasic_auth.password: (Required) Password for basic authentication.
- should
Allow BooleanInsecure Url - Ignore the certificate errors, if the value is true. Default is false.
ImagesV2SourceUrlSourceBasicAuth, ImagesV2SourceUrlSourceBasicAuthArgs
ImagesV2SourceVmDiskSource, ImagesV2SourceVmDiskSourceArgs
- Ext
Id string - The external identifier of VM Disk.
- Ext
Id string - The external identifier of VM Disk.
- ext_
id string - The external identifier of VM Disk.
- ext
Id String - The external identifier of VM Disk.
- ext
Id string - The external identifier of VM Disk.
- ext_
id str - The external identifier of VM Disk.
- ext
Id String - The external identifier of VM Disk.
Package Details
- Repository
- nutanix pierskarsenbarg/pulumi-nutanix
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
nutanixTerraform Provider.
published on Friday, May 22, 2026 by Piers Karsenbarg